Out of sequence application of 2.2.0.2 bundles prevent application of 2.2.0.1 bundles on workload domain.

This is going to be a very quick post to share my finding with VMware Cloud Foundation 2.2 and the 2.2.0.2 fix bundle.

The VMware Cloud Foundation 2.2.0.2 is an update bundle release that upgrades both Lifecycle Manager (LCM) and VMware NSX for vSphere.

Source: https://docs.vmware.com/en/VMware-Cloud-Foundation/2.2.0.2/rn/VMware-Cloud-Foundation-2202-Release-Notes.html

As I work full time on VMware Cloud Foundation I experienced the following problem myself. The following screenshot shows a VxRack SDDC running VCF 2.2 with a Management WLD at 2.2.0.1 and trying to update a VI workload domain to 2.2.0.1 as well I was getting “Previous upgrade required” and the UPDATE button enabled only for 2.2.0.2 which clearly comes after 2.2.0.1

So if a customer downloads both 2.2.0.1 and 2.2.0.2 bundles, and applies 2.2.0.1 bundles only to the Management domain, the 2.2.0.2 bundle shows as available and 2.2.0.1 bundles become unavailable for workload domains.

Workaround:

  • If no updates have been applied yet, schedule 2.2.0.1 updates together for both Management and workload domains.
  • If 2.2.0.1 bundles have been applied only to the Management domain, apply 2.2.0.2 Cloud Foundation bundles to the Management domain. The 2.2.0.1 bundles will then be available for workload domains.
Be sociable, share!Tweet about this on TwitterShare on LinkedInShare on FacebookShare on Google+Email this to someone

Leave a Comment

Your email address will not be published.